{
  "name": "@extollo/extollo",
  "version": "0.1.0",
  "description": "The framework lifts up your code.",
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "directories": {
    "lib": "lib"
  },
  "dependencies": {
    "@atao60/fse-cli": "^0.1.7",
    "@extollo/lib": "^0.14.10",
    "@types/marked": "^4.0.8",
    "@types/node": "^18.11.9",
    "@types/xml2js": "^0.4.11",
    "any-date-parser": "^1.5.3",
    "copyfiles": "^2.4.1",
    "feed": "^4.2.2",
    "gotify": "^1.1.0",
    "gray-matter": "^4.0.3",
    "marked": "^4.2.12",
    "ts-expose-internals": "^4.5.4",
    "ts-node": "^10.9.1",
    "ts-patch": "^2.0.1",
    "ts-to-zod": "^1.8.0",
    "typescript": "^4.3.2",
    "xml2js": "^0.4.23",
    "zod": "^3.11.6"
  },
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "build": "pnpm run clean && tsc -p tsconfig.json && fse copy --all --dereference --preserveTimestamps --keepExisting=false --quiet --errorOnExist=false src/app/resources lib/app/resources",
    "clean": "rimraf lib",
    "watch": "nodemon --ext js,pug,ts --watch src --exec 'ts-node src/index.ts'",
    "app": "ts-node src/index.ts",
    "cli": "ts-node src/cli.ts",
    "docker:build": "docker build -t ${DOCKER_REGISTRY}/garrettmills/www .",
    "docker:push": "docker push ${DOCKER_REGISTRY}/garrettmills/www"
  },
  "files": [
    "lib/**/*"
  ],
  "prepare": "npm run build",
  "postversion": "git push && git push --tags",
  "repository": {
    "type": "git",
    "url": "https://code.garrettmills.dev/extollo/extollo"
  },
  "author": "garrettmills <shout@garrettmills.dev>",
  "license": "MIT",
  "extollo": {
    "cc": {
      "zodify": [
        "src/app/types"
      ],
      "non-source": [
        ".env",
        "src/app/resources"
      ]
    }
  },
  "devDependencies": {
    "@extollo/cc": "^0.6.0",
    "rimraf": "^3.0.2"
  }
}
